Game keeps crashing

Installation problems or game crashes? Post them here.
Forum rules
ALWAYS FOLLOW OUR SELF-HELP GUIDE FIRST.

If you report a game crash ALWAYS post your game.log.txt in between CODE tags, or if it too large post it on pastebin.com and share the link.
ajcogswell797
Posts: 7
Joined: 25 Nov 2019 19:54

30 Nov 2019 17:20

Hi, I just installed ProMods, I do not have the baltic DLC so therefore I installed the version where it is not needed. I downgraded to 1.34 ETS2 version and I selected all of the files. Im not sure if I selected the files in the correct order though. For some reason, my def files are still incompatible. When I tried to launch without them, it crashed. Please help. https://prnt.sc/q4b940 < Please keep in mind that I only have all of the promods mods, a money hack and a level hack enabled in the mods.

User avatar
Trucker2223
Moderator
Posts: 4785
Joined: 16 Apr 2017 13:17
Donation rank:

30 Nov 2019 17:43

Post the whole log and not as a picture
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019

ajcogswell797
Posts: 7
Joined: 25 Nov 2019 19:54

30 Nov 2019 17:58

How do I? When I copy and paste it, its too large.

User avatar
Trucker2223
Moderator
Posts: 4785
Joined: 16 Apr 2017 13:17
Donation rank:

30 Nov 2019 18:01

post it on pastebin and share the link here.
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019

ajcogswell797
Posts: 7
Joined: 25 Nov 2019 19:54

30 Nov 2019 18:07


User avatar
Trucker2223
Moderator
Posts: 4785
Joined: 16 Apr 2017 13:17
Donation rank:

30 Nov 2019 18:09

You need to download the definition file without Special Transport Compatability. Download v2.33 Def not Download v2.33 Def (ST)
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019

ajcogswell797
Posts: 7
Joined: 25 Nov 2019 19:54

30 Nov 2019 18:12

How? I downloaded it from https://www.promods.net/compat.php

User avatar
Trucker2223
Moderator
Posts: 4785
Joined: 16 Apr 2017 13:17
Donation rank:

30 Nov 2019 18:15

yes you can chose the regular one and the one with Special Transport Compatability (ST) and you need the one without Special Transport Compatability.
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019

ajcogswell797
Posts: 7
Joined: 25 Nov 2019 19:54

30 Nov 2019 18:21

https://prnt.sc/q4bxup Which one? I downloaded them both and both of them were incompatible when I tried to select them.

User avatar
Josh0
Posts: 1643
Joined: 20 Dec 2015 02:10

30 Nov 2019 18:31

@ajcogswell797, first of all the game log that you posted shows you are still using ETS2 1.35 (you have not downgraded to ETS2 1.34).

Secondly, to clarify what Trucker2223 is saying, you do not own the Special Transport DLC. Therefore the definition file with "-st-" in the filename will not work for you because that definition file requires the Special Transport DLC. You need to download the definition file without "-st-" in the filename.

Once you have successfully downgraded your game to 1.34, and have downloaded the appropriate ProMods 2.33 files, if you are still having trouble please post a new game.log.



Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 6 guests